<?php
class ModelExtensionPaymentFsfpay extends Model 
{
	public function getMethod($address, $total)
	{
		$this->load->language('extension/payment/fsfpay');
		
		$query = $this->db->query("SELECT * FROM " . DB_PREFIX . "zone_to_geo_zone WHERE geo_zone_id = '" . (int)$this->config->get('fsfpay_geo_zone_id') . "' AND country_id = '" . (int)$address['country_id'] . "' AND (zone_id = '" . (int)$address['zone_id'] . "' OR zone_id = '0')");
		
		if ($this->config->get('fsfpay_total') > 0 && $this->config->get('fsfpay_total') > $total) 
		{
			$status = false;
		} elseif (!$this->config->get('fsfpay_geo_zone_id')) {
			$status = true;
		} elseif ($query->num_rows) {
			$status = true;
		} else {
			$status = false;
		}
		
		$method_data = array();
		
		if ($status) 
		{
			$method_data = array(
				'code'       => 'fsfpay',
				'title'      => $this->language->get('text_title'),
				'terms'      => '',
				'sort_order' => $this->config->get('fsfpay_sort_order')
			);
		}
		return $method_data;
	}
        
        public function editOrderStatus($orderID, $orderStatusID, $comment_fsfpay)
	{
                $query = $this->db->query("UPDATE " . DB_PREFIX . "order SET order_status_id ='".(int)$orderStatusID."', comment = '".$comment_fsfpay."' WHERE order_id = '".(int)$orderID."'");
                return $query;
        }
        
        public function validatePayment($orderID, $frmcurrency, $customerID)
	{
                $query = $this->db->query("SELECT order_id FROM " . DB_PREFIX . "order WHERE order_id = '".(int)$orderID."' AND currency_code = '".$frmcurrency."' AND customer_id = '".(int)$customerID."' AND payment_method = 'Fsfpay'");
                $query = ($query->row['order_id'] == $orderID) ? TRUE : FALSE;

                return $query;
        }
}